#include    "unpthread.h"
#include    "unpipc.h"
#include    "pre_thread_model.h"
#include    "protocol.h"

int main(int argc, char **argv)
{
	int c, flags;
	sem_t *sem;

	unsigned int value;

	flags = O_RDWR | O_CREAT;
	value = 1;

	fprintf(stderr, "Semaphore Name is : %s(%o)\n", SEM_NAME, FILE_MODE);
	sem_unlink(SEM_NAME);
	sem = Sem_open("/tmpaa", flags, FILE_MODE, value);
	Sem_close(sem);
	exit(0);
}
